dnsjit.core.object.ether(3)

NAME
dnsjit.core.object.ether - Ether part of a packet

DESCRIPTION
The ether part of a packet that usually can be found in the object chain after parsing with, for example, Layer filter.

  Attributes

dhost
    The destination ether address.

shost
    The source ether address.

type
    The packet type ID field / EtherType field.

  Functions

Ether:type()
    Return the textual type of the object.

Ether:prev()
    Return the previous object.

Ether:cast()
    Cast the object to the underlining object module and return it.

Ether:uncast()
    Cast the object to the generic object module and return it.

Ether:copy()
    Make a copy of the object and return it.

Ether:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net